## oggmux oggmux — mux ogg streams (info about ogg: http://xiph.org) |

## Properties

guint64 | max-delay | Read / Write
guint64 | max-page-delay | Read / Write
guint64 | max-tolerance | Read / Write
gboolean | skeleton | Read / Write

## Types and Values

struct | GstOggMux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstOggMux

## Implemented Interfaces

GstOggMux implements GstPreset.

## Description

## Synopsis

### Element Information

plugin | ogg
author | Wim Taymans <wim@fluendo.com>
class | Codec/Muxer

### Element Pads

name | audio_%u
direction | sink
presence | request
details | audio/x-vorbis
| audio/x-flac
| audio/x-speex
| audio/x-celt
| application/x-ogm-audio
| audio/x-opus

name | subtitle_%u
direction | sink
presence | request
details | text/x-cmml, encoded=(boolean)true
| subtitle/x-kate
| application/x-kate

name | video_%u
direction | sink
presence | request
details | video/x-theora
| application/x-ogm-video
| video/x-dirac
| video/x-smoke
| video/x-vp8
| video/x-daala

name | src
direction | source
presence | always
details | application/ogg
| audio/ogg
| video/ogg

## Functions

## Types and Values

### struct GstOggMux

    struct GstOggMux;

## Property Details

### The `“max-delay”` property

      “max-delay”                guint64

Maximum delay in multiplexing streams.

Flags: Read / Write

Default value: 500000000

### The `“max-page-delay”` property

      “max-page-delay”           guint64

Maximum delay for sending out a page.

Flags: Read / Write

Default value: 500000000

### The `“max-tolerance”` property

      “max-tolerance”            guint64

Maximum timestamp difference for maintaining perfect granules.

Flags: Read / Write

Default value: 40000000

### The `“skeleton”` property

      “skeleton”                 gboolean

Whether to include a Skeleton track.

Flags: Read / Write

Default value: FALSE